Package com.google.android.exoplayer2.drm

## Interface MediaDrmCallback

- All Known Implementing Classes:
    `FakeExoMediaDrm.LicenseServer`, `HttpMediaDrmCallback`, `LocalMediaDrmCallback`

      public interface MediaDrmCallback

  Performs `ExoMediaDrm` key and provisioning requests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `executeKeyRequest​(UUID uuid, ExoMediaDrm.KeyRequest request)` | Executes a key request.
    `byte[]` | `executeProvisionRequest​(UUID uuid, ExoMediaDrm.ProvisionRequest request)` | Executes a provisioning request.

- - ### Method Detail

    - #### executeProvisionRequest

          byte[] executeProvisionRequest​(UUID uuid,
                                         ExoMediaDrm.ProvisionRequest request)
                                  throws MediaDrmCallbackException

      Executes a provisioning request.
      Parameters:
        `uuid` - The UUID of the content protection scheme.
        `request` - The request.
      Returns:
        The response data.
      Throws:
        `MediaDrmCallbackException` - If an error occurred executing the request.

    - #### executeKeyRequest

          byte[] executeKeyRequest​(UUID uuid,
                                   ExoMediaDrm.KeyRequest request)
                            throws MediaDrmCallbackException

      Executes a key request.
      Parameters:
        `uuid` - The UUID of the content protection scheme.
        `request` - The request.
      Returns:
        The response data.
      Throws:
        `MediaDrmCallbackException` - If an error occurred executing the request.